Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
QCPColorScaleAxisRectPrivate Class Reference
Inheritance diagram for QCPColorScaleAxisRectPrivate:

## Public Member Functions
| QCPColorScaleAxisRectPrivate (QCPColorScale *parentColorScale)
Public Member Functions inherited from QCPAxisRect
| QCPAxisRect (QCustomPlot *parentPlot, bool setupDefaultAxes=true)
QPixmap | background () const
bool | backgroundScaled () const
Qt::AspectRatioMode | backgroundScaledMode () const
Qt::Orientations | rangeDrag () const
Qt::Orientations | rangeZoom () const
QCPAxis * | rangeDragAxis (Qt::Orientation orientation)
QCPAxis * | rangeZoomAxis (Qt::Orientation orientation)
double | rangeZoomFactor (Qt::Orientation orientation)
void | setBackground (const QPixmap &pm)
void | setBackground (const QPixmap &pm, bool scaled, Qt::AspectRatioMode mode=Qt::KeepAspectRatioByExpanding)
void | setBackground (const QBrush &brush)
void | setBackgroundScaled (bool scaled)
void | setBackgroundScaledMode (Qt::AspectRatioMode mode)
void | setRangeDrag (Qt::Orientations orientations)
void | setRangeZoom (Qt::Orientations orientations)
void | setRangeDragAxes (QCPAxis *horizontal, QCPAxis *vertical)
void | setRangeZoomAxes (QCPAxis *horizontal, QCPAxis *vertical)
void | setRangeZoomFactor (double horizontalFactor, double verticalFactor)
void | setRangeZoomFactor (double factor)
int | axisCount (QCPAxis::AxisType type) const
QCPAxis * | axis (QCPAxis::AxisType type, int index=0) const
QList< QCPAxis * > | axes (QCPAxis::AxisTypes types) const
QList< QCPAxis * > | axes () const
QCPAxis * | addAxis (QCPAxis::AxisType type, QCPAxis *axis=0)
QList< QCPAxis * > | addAxes (QCPAxis::AxisTypes types)
bool | removeAxis (QCPAxis *axis)
QCPLayoutInset * | insetLayout () const
void | setupFullAxesBox (bool connectRanges=false)
QList< QCPAbstractPlottable * > | plottables () const
QList< QCPGraph * > | graphs () const
QList< QCPAbstractItem * > | items () const
int | left () const
int | right () const
int | top () const
int | bottom () const
int | width () const
int | height () const
QSize | size () const
QPoint | topLeft () const
QPoint | topRight () const
QPoint | bottomLeft () const
QPoint | bottomRight () const
QPoint | center () const
virtual void | update (UpdatePhase phase)
virtual QList< QCPLayoutElement * > | elements (bool recursive) const
Public Member Functions inherited from QCPLayoutElement
| QCPLayoutElement (QCustomPlot *parentPlot=0)
QCPLayout * | layout () const
QRect | rect () const
QRect | outerRect () const
QMargins | margins () const
QMargins | minimumMargins () const
QCP::MarginSides | autoMargins () const
QSize | minimumSize () const
QSize | maximumSize () const
QCPMarginGroup * | marginGroup (QCP::MarginSide side) const
QHash< QCP::MarginSide, QCPMarginGroup * > | marginGroups () const
void | setOuterRect (const QRect &rect)
void | setMargins (const QMargins &margins)
void | setMinimumMargins (const QMargins &margins)
void | setAutoMargins (QCP::MarginSides sides)
void | setMinimumSize (const QSize &size)
void | setMinimumSize (int width, int height)
void | setMaximumSize (const QSize &size)
void | setMaximumSize (int width, int height)
void | setMarginGroup (QCP::MarginSides sides, QCPMarginGroup *group)
virtual QSize | minimumSizeHint () const
virtual QSize | maximumSizeHint () const
virtual double | selectTest (const QPointF &pos, bool onlySelectable, QVariant *details=0) const
Public Member Functions inherited from QCPLayerable
| QCPLayerable (QCustomPlot *plot, QString targetLayer=QString(), QCPLayerable *parentLayerable=0)
bool | visible () const
QCustomPlot * | parentPlot () const
QCPLayerable * | parentLayerable () const
QCPLayer * | layer () const
bool | antialiased () const
void | setVisible (bool on)
Q_SLOT bool | setLayer (QCPLayer *layer)
bool | setLayer (const QString &layerName)
void | setAntialiased (bool enabled)
bool | realVisibility () const

## Protected Member Functions
virtual void | draw (QCPPainter *painter)
void | updateGradientImage ()
Q_SLOT void | axisSelectionChanged (QCPAxis::SelectableParts selectedParts)
Q_SLOT void | axisSelectableChanged (QCPAxis::SelectableParts selectableParts)
Protected Member Functions inherited from QCPAxisRect
virtual void | applyDefaultAntialiasingHint (QCPPainter *painter) const
virtual int | calculateAutoMargin (QCP::MarginSide side)
virtual void | mousePressEvent (QMouseEvent *event)
virtual void | mouseMoveEvent (QMouseEvent *event)
virtual void | mouseReleaseEvent (QMouseEvent *event)
virtual void | wheelEvent (QWheelEvent *event)
void | drawBackground (QCPPainter *painter)
void | updateAxesOffset (QCPAxis::AxisType type)
Protected Member Functions inherited from QCPLayoutElement
virtual void | mouseDoubleClickEvent (QMouseEvent *)
virtual void | parentPlotInitialized (QCustomPlot *parentPlot)
Protected Member Functions inherited from QCPLayerable
virtual QCP::Interaction | selectionCategory () const
virtual QRect | clipRect () const
virtual void | selectEvent (QMouseEvent *event, bool additive, const QVariant &details, bool *selectionStateChanged)
virtual void | deselectEvent (bool *selectionStateChanged)
void | initializeParentPlot (QCustomPlot *parentPlot)
void | setParentLayerable (QCPLayerable *parentLayerable)
bool | moveToLayer (QCPLayer *layer, bool prepend)
void | applyAntialiasingHint (QCPPainter *painter, bool localAntialiased, QCP::AntialiasedElement overrideElement) const

## Protected Attributes
QCPColorScale * | mParentColorScale
QImage | mGradientImage
bool | mGradientImageInvalidated
Protected Attributes inherited from QCPAxisRect
QBrush | mBackgroundBrush
QPixmap | mBackgroundPixmap
QPixmap | mScaledBackgroundPixmap
bool | mBackgroundScaled
Qt::AspectRatioMode | mBackgroundScaledMode
QCPLayoutInset * | mInsetLayout
Qt::Orientations | mRangeDrag
Qt::Orientations | mRangeZoom
QPointer< QCPAxis > | mRangeDragHorzAxis
QPointer< QCPAxis > | mRangeDragVertAxis
QPointer< QCPAxis > | mRangeZoomHorzAxis
QPointer< QCPAxis > | mRangeZoomVertAxis
double | mRangeZoomFactorHorz
double | mRangeZoomFactorVert
QCPRange | mDragStartHorzRange
QCPRange | mDragStartVertRange
QCP::AntialiasedElements | mAADragBackup
QCP::AntialiasedElements | mNotAADragBackup
QPoint | mDragStart
bool | mDragging
QHash< QCPAxis::AxisType, QList< QCPAxis * > > | mAxes
Protected Attributes inherited from QCPLayoutElement
QCPLayout * | mParentLayout
QSize | mMinimumSize
QSize | mMaximumSize
QRect | mRect
QRect | mOuterRect
QMargins | mMargins
QMargins | mMinimumMargins
QCP::MarginSides | mAutoMargins
QHash< QCP::MarginSide, QCPMarginGroup * > | mMarginGroups
Protected Attributes inherited from QCPLayerable
bool | mVisible
QCustomPlot * | mParentPlot
QPointer< QCPLayerable > | mParentLayerable
QCPLayer * | mLayer
bool | mAntialiased

## Friends
class | QCPColorScale

## Additional Inherited Members
Public Types inherited from QCPLayoutElement
enum | UpdatePhase { upPreparation, upMargins, upLayout }
Signals inherited from QCPLayerable
void | layerChanged (QCPLayer *newLayer)

## Constructor & Destructor Documentation

QCPColorScaleAxisRectPrivate::QCPColorScaleAxisRectPrivate | ( | QCPColorScale * | parentColorScale | ) |
| explicit

Creates a new instance, as a child of parentColorScale.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.cpp